## libplist 0.12

=== CMakeLists.txt ===
PROJECT( libplist )

SET( LIBPLIST_VERSION_MAJOR "0" )
SET( LIBPLIST_VERSION_MINOR "12" )
SET( LIBPLIST_SOVERSION "0" )
SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
SET( PLUTIL_VERSION ${LIBPLIST_VERSION} )

SET( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/cmake/modules )

cmake_minimum_required(VERSION 2.6)

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   SET(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

FIND_PACKAGE( LibXml2 REQUIRED )
FIND_PACKAGE( GLIB2 REQUIRED )
FIND_PACKAGE( SWIG )
FIND_PACKAGE( PythonLibs )

INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_SOURCE_DIR}/include" )

ENABLE_TESTING()

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( plutil )
ADD_SUBDIRECTORY( include )
ADD_SUBDIRECTORY( test )

IF ( SWIG_FOUND AND PYTHON_LIBRARY )
	ADD_SUBDIRECTORY( swig )
ENDIF ( SWIG_FOUND AND PYTHON_LIBRARY )

# add uninstall target
CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########## PkgConfig ############################
CONFIGURE_FILE( "libplist.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" )
########## INSTALL ##############################
INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ )

########## CPack ################################
INCLUDE( libplistPackaging )
LIBPLIST_PACKAGE(LIBPLIST_VERSION_MAJOR LIBPLIST_VERSION_MINOR)

=== include/CMakeLists.txt ===


INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plist/plist.h
   DESTINATION include/plist COMPONENT dev)

=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${LIBXML2_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} )
 

SET(libplist_SRC
	plist.c
	bplist.c
	xplist.c )

ADD_LIBRARY( plist SHARED ${libplist_SRC} )
TARGET_LINK_LIBRARIES( plist ${LIBXML2_LIBRARIES} ${GLIB2_LIBRARIES} )
SET_TARGET_PROPERTIES( plist PROPERTIES VERSION ${LIBPLIST_LIBVERSION} )
SET_TARGET_PROPERTIES( plist PROPERTIES SOVERSION ${LIBPLIST_SOVERSION} )

INSTALL(TARGETS plist
 RUNTIME DESTINATION bin COMPONENT lib
 LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev
 ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev)

=== swig/CMakeLists.txt ===
INCLUDE( ${SWIG_USE_FILE} )

SET(CMAKE_SWIG_FLAGS -Werror -Wall -modern)

INCLUDE_DIRECTORIES( ${PYTHON_INCLUDE_PATH} )

SWIG_ADD_MODULE( PList python plist.i )
SWIG_LINK_LIBRARIES( PList plist ${PYTHON_LIBRARIES} )

INSTALL( FILES ${CMAKE_CURRENT_BINARY_DIR}/_PList${CMAKE_SHARED_MODULE_SUFFIX}
   DESTINATION ${CMAKE_INSTALL_LIBDIR}/python${PYTHON_VERSION}/site-packages/libplist/ )
INSTALL( FILES ${CMAKE_CURRENT_BINARY_DIR}/PList.py
   DESTINATION ${CMAKE_INSTALL_LIBDIR}/python${PYTHON_VERSION}/site-packages/libplist/ )
INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py
   DESTINATION ${CMAKE_INSTALL_LIBDIR}/python${PYTHON_VERSION}/site-packages/libplist/ )
INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plist.i
   DESTINATION include/plist/swig COMPONENT dev)

=== test/CMakeLists.txt ===

#build the test executable

SET(plist_test_SRC
	plist_test.c)
SET(plist_cmp_SRC
	plist_cmp.c)
ADD_EXECUTABLE(plist_test ${plist_test_SRC})
TARGET_LINK_LIBRARIES(plist_test plist)
ADD_EXECUTABLE(plist_cmp ${plist_cmp_SRC})
TARGET_LINK_LIBRARIES(plist_cmp plist)

INCLUDE(CTest)

ADD_TEST(Empty plist_test data/1.plist)
ADD_TEST(Small plist_test data/2.plist)
ADD_TEST(Medium plist_test data/3.plist)
ADD_TEST(Large plist_test data/4.plist)
ADD_TEST(Huge plist_test data/5.plist)
ADD_TEST(Big_Array plist_test data/6.plist)

ADD_TEST(EmptyCmp plist_cmp data/1.plist data/1.plist.out)
ADD_TEST(SmallCmp plist_cmp data/2.plist data/2.plist.out)
ADD_TEST(MediumCmp plist_cmp data/3.plist data/3.plist.out)
ADD_TEST(LargeCmp plist_cmp data/4.plist data/4.plist.out)
ADD_TEST(HugeCmp plist_cmp data/5.plist data/5.plist.out)
ADD_TEST(Big_ArrayCmp plist_cmp data/6.plist data/6.plist.out)

## libplist 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 PROJECT( libplist )
 
-SET( LIBPLIST_VERSION_MAJOR "0" )
-SET( LIBPLIST_VERSION_MINOR "12" )
-SET( LIBPLIST_SOVERSION "0" )
+SET( LIBPLIST_VERSION_MAJOR "1" )
+SET( LIBPLIST_VERSION_MINOR "1" )
+SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
 SET( PLUTIL_VERSION ${LIBPLIST_VERSION} )
@@ -17,8 +17,14 @@
 
 FIND_PACKAGE( LibXml2 REQUIRED )
 FIND_PACKAGE( GLIB2 REQUIRED )
-FIND_PACKAGE( SWIG )
-FIND_PACKAGE( PythonLibs )
+
+OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
+
+IF(ENABLE_PYTHON)
+	FIND_PACKAGE( SWIG )
+	FIND_PACKAGE( PythonInterp )
+	FIND_PACKAGE( PythonLibs )
+ENDIF(ENABLE_PYTHON)
 
 INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_SOURCE_DIR}/include" )
 
@@ -29,9 +35,9 @@
 ADD_SUBDIRECTORY( include )
 ADD_SUBDIRECTORY( test )
 
-IF ( SWIG_FOUND AND PYTHON_LIBRARY )
+IF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 	ADD_SUBDIRECTORY( swig )
-ENDIF ( SWIG_FOUND AND PYTHON_LIBRARY )
+ENDIF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 
 # add uninstall target
 CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
@@ -39,8 +45,11 @@
 
 ########## PkgConfig ############################
 CONFIGURE_FILE( "libplist.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" )
+CONFIGURE_FILE( "libplist++.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libplist++.pc" )
+
 ########## INSTALL ##############################
 INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ )
+INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libplist++.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ )
 
 ########## CPack ################################
 INCLUDE( libplistPackaging )

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
 #build the test executable
+INCLUDE_DIRECTORIES( ${GLIB2_INCLUDE_DIR} )
 
 SET(plist_test_SRC
 	plist_test.c)

## libplist 1.3

=== debian/changelog ===
libplist (1.3-2) unstable; urgency=low

  * debian/rules:
   - Run the test suit for all arches.
   - Pass -g to CFLAGS (Closes: #579119).
  * debian/README.Debian:
   - Remove since we run the test suit on all arches.
  * debian/watch:
   - Fix the detection of the version, thanks Paul McEnery.
  * debian/control:
   - Wrap build-depends and depends.
   - Bump Standards-Version to 3.9.1.0, no changes needed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 08 Nov 2010 01:24:15 +0100

libplist (1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/
   - 04-ftbfs-armel.patch: Remove, merged upstream.
   - 05-plist_endian+align_fixes.patch: Remove, merged upstream.
  * debian/rules: Add DH_VERBOSE=1 to add verbosity when necessary.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 24 May 2010 23:04:10 +0200

libplist (1.2-3) unstable; urgency=medium

  * debian/patches/05-plist_endian+align_fixes.patch: Endianness, alignment and
    type-punning fixes for binary plist support. Thanks Julien BLACHE for the
    patch. (Closes: #570580).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 10 Apr 2010 18:19:34 +0200

libplist (1.2-2) unstable; urgency=low

  * debian/rules: Really make the test suit fatal only on supported arches.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 07 Apr 2010 23:38:09 +0200

libplist (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #568131)
  * debian/watch: update with githubredir.debian.net
  * debian/patches :
   - 02-fix-test.patch: merged upstream.
   - 04-ftbfs-armel.patch: from Ubuntu, fix FTBFS for armel. Thanks Alexander
     Sack for the patch. (Closes: #574623)
  * debian/control: Bump Standards-Version to 3.8.4, no changes needed.
  * debian/rules: Make the test suit fatal on supported arches.
  * Switch to dpkg-source 3.0 (quilt) format.
   - debian/control: Remove quilt build-depends.
   - debian/rules: Remove --with quilt.
   - README.source: Remove.
  * README.Debian: Add a note about the supported arches.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 21 Mar 2010 18:46:25 +0100

libplist (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules 
   - Rewrite to use dh7 and quilt.
   - Remove -DCMAKE_SKIP_RPATH=true, tests won't work without it. RPATH will be
     removed by patching upstream cmake system when it's needed.
  * debian/control: 
   - Build-depends on debhelper (>= 7.0.50~) and quilt (>= 0.46-7) for dh7 and
     quilt support.
   - Add VCS-* fields.
  * debian/01-libs.private.patch: Use Requires.private in *.pc files to not add
    unecessary links.
  * debian/02-fix-test.patch: From upstream (54f1ffb0...), fix test suit.
  * debian/03-remove-rpath.patch: Remove RPATH for python bindings.
  * debian/README.source: Add for quilt support.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 18 Jan 2010 00:49:27 +0100

libplist (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/libplist*.install & debian/control: Bump SONAME version. 
  * debian/libpmist++-dev.install: Remove Utils.h, not shipped in the new 
    version.
  * debian/python-plist.install: Update to the new location.
  * debian/*.symbols: Add symbols files.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 08 Dec 2009 20:43:56 +0100

libplist (0.16-1) unstable; urgency=low

  * Adopt the package. Thanks Bradley Smith for his work. (Closes: #548594)
  * New upstream release (Closes: #557554).
  * debian/control:
   - Add libplist++{0,-dev} binaries for the new library.
   - Bump Standards-Version to 3.8.3, no changes needed.
   - Build-depends on python-all-dev
   - Switch to python-support.
   - Add Conflicts/Replace for -dev packages, some headers moved to the new 
     library.
   - Remove Vcs-* field.
   - Bump minimum version of swig to >= 1.3.36
   - Change name of the -dbg package, it contains debug symbols for the 2 
     libraries.
   - Avoid dupplicated Descriptions field.
   - Add a more verbose extended description (Closes: #530590)
  * debian/*.install: Reorganize with the new library.
  * debian/python-plist.install
   - Replace site-packages by *-packages for python 2.6 migration. 
     (Closes: #557822)
  * debian/rules & python-plist.preinst:
   - Switch to python-support and remove previous installed files by 
     python-central.
  * debian/plist.1 & debian/libplist-utils.man: Add a man page for plist.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 22 Nov 2009 13:51:02 -0600

libplist (0.13-2) unstable; urgency=low

  * Orphan package.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:56:07 +0100

libplist (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:43:59 +0100

libplist (0.12-2) unstable; urgency=low

  * Correctly install plutil. Closes: #531269.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 31 May 2009 11:06:53 +0100

libplist (0.12-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 12 May 2009 18:07:42 +0100

libplist (0.10-1) experimental; urgency=low

  * Initial release. Closes: #523926.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 13 Apr 2009 18:29:42 +0100

=== debian/control ===
Source: libplist
Section: libs
Priority: optional
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 7.0.50~), 
               libglib2.0-dev,
               libxml2-dev,
               cmake,
               swig (>= 1.3.36),
               python-all-dev,
               python-support (>= 0.6.0)
XS-Python-Version: current
Homepage: http://github.com/JonathanBeck/libplist
Vcs-Git: git://github.com/gilir/libplist-debian.git
Vcs-Browser: http://github.com/gilir/libplist-debian/tree

Package: libplist1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.

Package: libplist++1
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This library is the C++ implementation of the libplist API.

Package: libplist-dev
Architecture: any
Section: libdevel
Depends: libplist1 (= ${binary:Version}), 
         libxml2-dev,
         libglib2.0-dev,
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the development files.

Package: libplist++-dev
Architecture: any
Section: libdevel
Depends: libplist1 (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev, ${misc:Depends}
Conflicts: libplist-dev (<= 0.13.2)
Replaces: libplist-dev (<= 0.13.2)
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the development files of the liplist++0 library.

Package: libplist-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libplist1 (= ${binary:Version}),
         libplist++1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the debugging symbols.

Package: python-plist
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the Python bindings

Package: libplist-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Apple property list converter
 This package containt tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -O2 -Wall -g
LDFLAGS = -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

PYVER=$(shell pyversions -vr debian/control)

configure_flags += \
			-DCMAKE_INSTALL_PREFIX="/usr" \
			-DPYTHON_VERSION=$(PYVER)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
		$(CURDIR)/debian/tmp/usr/bin/plutil
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libplist-dbg

#override_dh_auto_test:
#Make the test suit fatal on supported arches (See README.Debian)
#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
#	dh_auto_test
#else
#	dh_auto_test || true
#endif

=== debian/watch ===
version=3
http://githubredir.debian.net/github/JonathanBeck/libplist /v([\d\.].*).tar.gz

## libplist 1.4

=== debian/changelog ===
libplist (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
   - Remove additional CFLAGS to pass correct flags.
   - Add additional LDFLAGS.
   - Use filter instead of findstring to find noopt.
   - Build and clean doxygen documentation.
  * debian/libplist++1.symbols.amd64
   - Removed, since symbols are too unstable and easily FTBFS the package.
     Closes: #605846, #615661, #618150
  * Set urgency to medium to fix RC bug.
  * debian/watch:
   - Update location of the tarballs.
  * debian/docs
   - Add general documentation files.
  * debian/copyright:
   - Update to DEP5 format.
  * debian/01-libs.private.patch:
   - Update.
  * debian/libplist-doc.doc-base & debian/libplist.install:
   - Install libplist documentation.
  * debian/control:
   - Build-depends on doxygen for documentation support.
   - Add libplist-doc binary.
   - Replace references to libiphone by libimobiledevice.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 21 Mar 2011 17:36:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                cmake,
                swig (>= 1.3.36),
                python-all-dev,
-               python-support (>= 0.6.0)
+               python-support (>= 0.6.0),
+               doxygen
 XS-Python-Version: current
 Homepage: http://github.com/JonathanBeck/libplist
 Vcs-Git: git://github.com/gilir/libplist-debian.git
@@ -21,8 +22,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
 
 Package: libplist++1
 Architecture: any
@@ -30,8 +31,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This library is the C++ implementation of the libplist API.
 
@@ -44,8 +45,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the development files.
 
@@ -59,8 +60,8 @@
 Replaces: libplist-dev (<= 0.13.2)
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the development files of the liplist++0 library.
 
@@ -73,8 +74,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the debugging symbols.
 
@@ -87,8 +88,8 @@
 Provides: ${python:Provides}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the Python bindings
 
@@ -99,5 +100,16 @@
          ${misc:Depends}
 Description: Apple property list converter
  This package containt tools to convert Apple property list files from binary
- to XML and vice-versa. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ to XML and vice-versa. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
+
+Package: libplist-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Library for handling Apple binary and XML property lists - docs
+ This package containt tools to convert Apple property list files from binary
+ to XML and vice-versa. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall -g
-LDFLAGS = -Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
 else
     CFLAGS += -O2
@@ -25,6 +24,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
 
+override_dh_auto_build:
+	dh_auto_build
+	doxygen doxygen.cfg
+
 override_dh_install:
 	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
 		$(CURDIR)/debian/tmp/usr/bin/plutil
@@ -33,6 +36,10 @@
 override_dh_strip:
 	dh_strip --dbg-package=libplist-dbg
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -Rf docs/
+
 #override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
 #ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))

## libplist 1.6

=== debian/changelog ===
libplist (1.6-2) unstable; urgency=medium

  * debian/README.Debian :
   - Add to mention supported archs.
  * debian/rules:
   - Only run the test suit on supported archs. (Closes: #633457).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 23 Jul 2011 14:48:59 +0200

libplist (1.6-1) unstable; urgency=low

  * New upstream release.
  * 04-Add-missing-include-cstddef-to-fix-FTBFS-with-GCC-4-6.patch:
   - Remove, merged upstream.
  * debian/control:
   - Remove build-depends and depends of libglib2.0-dev.
   - Add DM-Upload-Allowed: yes
   - Build-depends on cmake (>= 2.8.4) for building the correct python
     extension.
  * debian/copyright:
   - Update copyright holders.
  * debian/libplist1.symbols:
   - Add new symbols.
  * debian/rules:
   - Clean generated files by the tests (Closes: #632057)
   - Build the correct python extension. Thanks Jakub Wilk for the patch.
     (Closes: #632056)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 03 Jul 2011 22:00:50 +0200

libplist (1.4-2) unstable; urgency=low

  * debian/control:
   - Add references to iDevices and some examples.
   - Update Maintainer field, and add me to Uploaders.
   - Update Vcs-*.
   - Update Homepage.
   - Remove build-depends on python-support, to migrate to dh_python2.
   - Bump build-depends on python-all-dev (>= 2.6.6-3~), for dh_python2
     support.
   - Use X-Python-Version for supported python version.
   - Remove Provides.
   - Depends on libplist++1 for libplist++-dev, instead of libplist1
     (LP: #600338)
   - Fix typo in description (Closes: #620864).
   - Bump Standards-Version to 3.9.2 (no change needed).
   - Add depends on libjs-jquery for libplist-doc.
  * debian/python-plist.preinst:
   - Remove after Squeeze release.
  * debian/rules:
   - Use dh --with python2.
   - Parse only the default python version, we can only pass 1 version to
     configure.
   - Pass --no-guessing-versions to dh_python2 to build only with default
     python version.
  * debian/gbp.conf:
   - Add.
  * debian/patches/
   - 04-Add-missing-include-cstddef-to-fix-FTBFS-with-GCC-4-6.patch:
     From Ubuntu, Fix FTBFS with GCC 4.6 Closes: #624868, #624988, LP: #765982
  * debian/libplist.links:
   - Symlink jquery.js to the one available in Debian.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 02 May 2011 22:54:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,14 @@
     CFLAGS += -O2
 endif
 
-PYVER=$(shell pyversions -vr debian/control)
+PYVER=$(shell pyversions -vd)
 
 configure_flags += \
 			-DCMAKE_INSTALL_PREFIX="/usr" \
-			-DPYTHON_VERSION=$(PYVER)
+			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
-	dh $@
+	dh --with python2 $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -33,17 +33,22 @@
 		$(CURDIR)/debian/tmp/usr/bin/plutil
 	dh_install --fail-missing
 
+override_dh_python2:
+	# Only build for the current version of python, not all supported.
+	dh_python2 --no-guessing-versions
+
 override_dh_strip:
 	dh_strip --dbg-package=libplist-dbg
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -Rf docs/
+	rm -f test/data/*.out
 
-#override_dh_auto_test:
+override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
-#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
-#	dh_auto_test
-#else
-#	dh_auto_test || true
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
+	dh_auto_test
+else
+	dh_auto_test || true
+endif

## libplist 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJECT( libplist )
 
 SET( LIBPLIST_VERSION_MAJOR "1" )
-SET( LIBPLIST_VERSION_MINOR "1" )
+SET( LIBPLIST_VERSION_MINOR "7" )
 SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
@@ -16,7 +16,6 @@
 ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
 
 FIND_PACKAGE( LibXml2 REQUIRED )
-FIND_PACKAGE( GLIB2 REQUIRED )
 
 OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
 
@@ -26,10 +25,25 @@
 	FIND_PACKAGE( PythonLibs )
 ENDIF(ENABLE_PYTHON)
 
-INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_SOURCE_DIR}/include" )
+INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/include
+		     ${CMAKE_INCLUDE_PATH})
 
 ENABLE_TESTING()
 
+IF (NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/libcnary/CMakeLists.txt")
+  MESSAGE(FATAL_ERROR "
+You need to checkout the 'libcnary' submodule to build libplist.
+To do so, perform the following steps in the base directory:
+  git submodule init
+  git submodule update
+Then, run cmake again.")
+ENDIF()
+
+INCLUDE (TestBigEndian)
+TEST_BIG_ENDIAN(endianess)
+SET ( PLIST_BYTE_ORDER ${endianess} )
+
+ADD_SUBDIRECTORY( libcnary )
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( plutil )
 ADD_SUBDIRECTORY( include )

=== debian/changelog ===
libplist (1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
   - Run tests on all arches. 
  * debian/README.Debian:
   - Remove, since tests suit runs on all arches.
  * debian/copyright:
   - Fix DEP5 format.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 10 Oct 2011 00:06:15 +0200

## libplist 1.8

=== test/CMakeLists.txt ===

#build the test executable
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/libcnary/include )

SET(plist_test_SRC
	plist_test.c)
SET(plist_cmp_SRC
	plist_cmp.c)
ADD_EXECUTABLE(plist_test ${plist_test_SRC})
TARGET_LINK_LIBRARIES(plist_test plist)
ADD_EXECUTABLE(plist_cmp ${plist_cmp_SRC})
TARGET_LINK_LIBRARIES(plist_cmp plist)

INCLUDE(CTest)

SET(TEST_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR})
ADD_TEST(Empty plist_test ${TEST_DATA_DIR}/data/1.plist)
ADD_TEST(Small plist_test ${TEST_DATA_DIR}/data/2.plist)
ADD_TEST(Medium plist_test ${TEST_DATA_DIR}/data/3.plist)
ADD_TEST(Large plist_test ${TEST_DATA_DIR}/data/4.plist)
ADD_TEST(Huge plist_test ${TEST_DATA_DIR}/data/5.plist)
ADD_TEST(Big_Array plist_test ${TEST_DATA_DIR}/data/6.plist)

ADD_TEST(EmptyCmp plist_cmp ${TEST_DATA_DIR}/data/1.plist ${TEST_DATA_DIR}/data/1.plist.out)
ADD_TEST(SmallCmp plist_cmp ${TEST_DATA_DIR}/data/2.plist ${TEST_DATA_DIR}/data/2.plist.out)
ADD_TEST(MediumCmp plist_cmp ${TEST_DATA_DIR}/data/3.plist ${TEST_DATA_DIR}/data/3.plist.out)
ADD_TEST(LargeCmp plist_cmp ${TEST_DATA_DIR}/data/4.plist ${TEST_DATA_DIR}/data/4.plist.out)
ADD_TEST(HugeCmp plist_cmp ${TEST_DATA_DIR}/data/5.plist ${TEST_DATA_DIR}/data/5.plist.out)
ADD_TEST(Big_ArrayCmp plist_cmp ${TEST_DATA_DIR}/data/6.plist ${TEST_DATA_DIR}/data/6.plist.out)

=== debian/changelog ===
libplist (1.8-2) experimental; urgency=low

  * debian/control:
   - Replace build-depends on swig by cython, to enable python bindings made
     by cython.
   - Build-depends on debhelper (>= 9.20120417~) to fix hardening with cmake.
   - Build-depends on chrpath.
   - Update to Standards-Version: 3.9.3, no change needed.
  * debian/python-plist.install:
   - Update files installed by cython.
  * debian/libplist++-dev.install:
   - Remove the swig files.
  * debian/rules:
   - Remove files generated by swig.
   - Remove rpath problem.
   - Fix dh sequence order.
  * debian/compat:
   - Bump to 9.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 20 Jul 2012 22:32:15 +0200

libplist (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 13 Jan 2012 20:52:44 +0100

=== debian/control ===
Source: libplist
Section: libs
Priority: optional
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9.20120417~),
               libxml2-dev,
               cmake (>= 2.8.4),
               cython,
               python-all-dev (>= 2.6.6-3~),
               doxygen,
               chrpath
X-Python-Version: >= 2.5
Homepage: http://www.libimobiledevice.org/
Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libplist.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libplist.git
DM-Upload-Allowed: yes

Package: libplist1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).

Package: libplist++1
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This library is the C++ implementation of the libplist API.

Package: libplist-dev
Architecture: any
Section: libdevel
Depends: libplist1 (= ${binary:Version}), 
         libxml2-dev,
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the development files.

Package: libplist++-dev
Architecture: any
Section: libdevel
Depends: libplist++1 (= ${binary:Version}),
         libxml2-dev,
         ${misc:Depends}
Conflicts: libplist-dev (<= 0.13.2)
Replaces: libplist-dev (<= 0.13.2)
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the development files of the liplist++0 library.

Package: libplist-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libplist1 (= ${binary:Version}),
         libplist++1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the debugging symbols.

Package: python-plist
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the Python bindings

Package: libplist-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Apple property list converter
 This package containt tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).

Package: libplist-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Description: Library for handling Apple binary and XML property lists - docs
 This package containt tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
-	dh --with python2 $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -31,6 +31,15 @@
 override_dh_install:
 	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
 		$(CURDIR)/debian/tmp/usr/bin/plutil
+
+	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.so
+
+	# Remove files generated by swig
+	rm -f $(CURDIR)/debian/tmp/usr/include/plist/swig/plist.i
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/plist.py
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/__init__.py
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/_plist.so
+
 	dh_install --fail-missing
 
 override_dh_python2:
@@ -45,10 +54,10 @@
 	rm -Rf docs/
 	rm -f test/data/*.out
 
-override_dh_auto_test:
+#override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
-	dh_auto_test
-else
-	dh_auto_test || true
-endif
+#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
+#	dh_auto_test
+#else
+#	dh_auto_test || true
+#endif

## libplist 1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 PROJECT( libplist )
 
 SET( LIBPLIST_VERSION_MAJOR "1" )
-SET( LIBPLIST_VERSION_MINOR "7" )
+SET( LIBPLIST_VERSION_MINOR "10" )
 SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
-SET( PLUTIL_VERSION ${LIBPLIST_VERSION} )
+SET( PLISTUTIL_VERSION ${LIBPLIST_VERSION} )
 
 SET( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/cmake/modules )
 
@@ -17,13 +17,21 @@
 
 FIND_PACKAGE( LibXml2 REQUIRED )
 
-OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
+OPTION(ENABLE_SWIG "Enable SWIG Python bindings (needs Swig)" ON)
+OPTION(ENABLE_CYTHON "Enable Cython Python bindings (needs Cython)" ON)
 
-IF(ENABLE_PYTHON)
+IF(ENABLE_SWIG)
 	FIND_PACKAGE( SWIG )
+ENDIF(ENABLE_SWIG)
+
+IF(ENABLE_CYTHON)
+	FIND_PACKAGE( Cython )
+ENDIF(ENABLE_CYTHON)
+
+IF(ENABLE_SWIG OR ENABLE_CYTHON)
 	FIND_PACKAGE( PythonInterp )
 	FIND_PACKAGE( PythonLibs )
-ENDIF(ENABLE_PYTHON)
+ENDIF(ENABLE_SWIG OR ENABLE_CYTHON)
 
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/include
 		     ${CMAKE_INCLUDE_PATH})
@@ -45,13 +53,18 @@
 
 ADD_SUBDIRECTORY( libcnary )
 ADD_SUBDIRECTORY( src )
-ADD_SUBDIRECTORY( plutil )
+ADD_SUBDIRECTORY( plistutil )
 ADD_SUBDIRECTORY( include )
 ADD_SUBDIRECTORY( test )
+
+ADD_DEPENDENCIES( plist libcnary )
 
 IF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 	ADD_SUBDIRECTORY( swig )
 ENDIF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
+IF ( CYTHON_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
+	ADD_SUBDIRECTORY( cython )
+ENDIF ( CYTHON_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 
 # add uninstall target
 CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)

=== cython/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${PYTHON_INCLUDE_PATH} ${CMAKE_CURRENT_SOURCE_DIR} )


SET(plist_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/plist.c )

SET(plist_HDR
    ${CMAKE_CURRENT_SOURCE_DIR}/plist.pxd )

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/plist.c
    COMMAND ${CYTHON_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/plist.c ${CMAKE_CURRENT_SOURCE_DIR}/plist.pyx
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/plist.pyx ${CMAKE_CURRENT_SOURCE_DIR}/plist.pxd
)


EXEC_PROGRAM("${PYTHON_EXECUTABLE}"
    ARGS "-c 'try:\n import distutils.sysconfig; print distutils.sysconfig.get_python_lib(1,0,\"${CMAKE_INSTALL_PREFIX}\")\nexcept: pass\n'"
    OUTPUT_VARIABLE DISTUTILS_PYTHON_ILIBRARY_PATH
    )

PYTHON_ADD_MODULE(cython_plist plist.c plist_util.c)
SET_TARGET_PROPERTIES(cython_plist PROPERTIES PREFIX "" OUTPUT_NAME plist)
TARGET_LINK_LIBRARIES(cython_plist plist ${PYTHON_LIBRARIES})

INSTALL( FILES ${CMAKE_CURRENT_BINARY_DIR}/plist${CMAKE_SHARED_MODULE_SUFFIX}
   DESTINATION ${DISTUTILS_PYTHON_ILIBRARY_PATH} )
INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plist.pxd
   DESTINATION include/plist/cython COMPONENT dev)

=== include/CMakeLists.txt ===
SET( libplist_HDR
	${CMAKE_CURRENT_SOURCE_DIR}/plist/plist.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/plist++.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Array.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Boolean.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Data.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Date.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Dictionary.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Integer.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Node.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Real.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/String.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Key.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Uid.h
	${CMAKE_CURRENT_SOURCE_DIR}/plist/Structure.h
  )

INSTALL( FILES ${libplist_HDR}
   DESTINATION include/plist COMPONENT dev)

=== libcnary/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET(libcnary_SRC
	iterator.c
	list.c
	node.c
	node_iterator.c
	node_list.c )

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
ADD_LIBRARY(libcnary STATIC ${libcnary_SRC})

SET_TARGET_PROPERTIES(libcnary PROPERTIES OUTPUT_NAME cnary)

=== plistutil/CMakeLists.txt ===

SET(plistutil_SRC
	plistutil.c)

ADD_EXECUTABLE(plistutil ${plistutil_SRC})
TARGET_LINK_LIBRARIES(plistutil plist)
SET_TARGET_PROPERTIES( plistutil PROPERTIES VERSION ${PLISTUTIL_VERSION} )

INSTALL( TARGETS plistutil RUNTIME DESTINATION bin COMPONENT plistutil )

=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${LIBXML2_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/libcnary/include )
 

SET(libplist_SRC
	plist.c
	hashtable.c
	bytearray.c
	ptrarray.c
	bplist.c
	base64.c
	xplist.c )

SET(libplist++_SRC
	Node.cpp
	Boolean.cpp
	Integer.cpp
	Real.cpp
	String.cpp
	Date.cpp
	Data.cpp
	Key.cpp
	Uid.cpp
	Structure.cpp
	Array.cpp
	Dictionary.cpp
	)

SET(libcnary_object_files
  ${CMAKE_BINARY_DIR}/libcnary/CMakeFiles/libcnary.dir/iterator.c${CMAKE_C_OUTPUT_EXTENSION}
  ${CMAKE_BINARY_DIR}/libcnary/CMakeFiles/libcnary.dir/list.c${CMAKE_C_OUTPUT_EXTENSION}
  ${CMAKE_BINARY_DIR}/libcnary/CMakeFiles/libcnary.dir/node.c${CMAKE_C_OUTPUT_EXTENSION}
  ${CMAKE_BINARY_DIR}/libcnary/CMakeFiles/libcnary.dir/node_iterator.c${CMAKE_C_OUTPUT_EXTENSION}
  ${CMAKE_BINARY_DIR}/libcnary/CMakeFiles/libcnary.dir/node_list.c${CMAKE_C_OUTPUT_EXTENSION}
)

SET_SOURCE_FILES_PROPERTIES(${libcnary_object_files} PROPERTIES EXTERNAL_OBJECT true GENERATED true)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DPLIST_BYTE_ORDER=${PLIST_BYTE_ORDER}")
ADD_LIBRARY( plist SHARED ${libplist_SRC} ${libcnary_object_files} )
TARGET_LINK_LIBRARIES( plist ${LIBXML2_LIBRARIES} )
SET_TARGET_PROPERTIES( plist PROPERTIES VERSION ${LIBPLIST_LIBVERSION} )
SET_TARGET_PROPERTIES( plist PROPERTIES SOVERSION ${LIBPLIST_SOVERSION} )
if(APPLE)
  SET_TARGET_PROPERTIES( plist PROPERTIES INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif()

ADD_LIBRARY( plist++ SHARED ${libplist++_SRC} )
TARGET_LINK_LIBRARIES( plist++ plist )
SET_TARGET_PROPERTIES( plist++ PROPERTIES VERSION ${LIBPLIST_LIBVERSION} )
SET_TARGET_PROPERTIES( plist++ PROPERTIES SOVERSION ${LIBPLIST_SOVERSION} )
if(APPLE)
  SET_TARGET_PROPERTIES( plist++ PROPERTIES INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif()

INSTALL(TARGETS plist plist++
 RUNTIME DESTINATION bin COMPONENT lib
 LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev
 ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev)

=== swig/CMakeLists.txt ===
INCLUDE( ${SWIG_USE_FILE} )

SET(CMAKE_SWIG_FLAGS -Werror -Wall -modern)

INCLUDE_DIRECTORIES( ${PYTHON_INCLUDE_PATH} )

SET_SOURCE_FILES_PROPERTIES(plist.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE( plist python plist.i )
SWIG_LINK_LIBRARIES( plist plist plist++ ${PYTHON_LIBRARIES} )

EXEC_PROGRAM("${PYTHON_EXECUTABLE}"
    ARGS "-c 'try:\n import distutils.sysconfig; print distutils.sysconfig.get_python_lib(plat_specific=1)\nexcept: pass\n'"
    OUTPUT_VARIABLE DISTUTILS_PYTHON_ILIBRARY_PATH
    )

INSTALL( FILES ${CMAKE_CURRENT_BINARY_DIR}/_plist${CMAKE_SHARED_MODULE_SUFFIX}
   DESTINATION ${DISTUTILS_PYTHON_ILIBRARY_PATH}/plist/ )
INSTALL( FILES ${CMAKE_CURRENT_BINARY_DIR}/plist.py
   DESTINATION ${DISTUTILS_PYTHON_ILIBRARY_PATH}/plist/ )
INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/__init__.py
   DESTINATION ${DISTUTILS_PYTHON_ILIBRARY_PATH}/plist/ )
INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plist.i
   DESTINATION include/plist/swig COMPONENT dev)

=== debian/changelog ===
libplist (1.10-1) unstable; urgency=low

  [ Julien Lavergne ]
  * New upstream release (Closes: #706378)
  * debian/rules:
   - Remove workaround for moving plutil utils, since the name change
     completely.
  * debian/libplist++-dev.install:
   - Install new files.
  * debian/libplist1.symbols:
   - Update symbols.
  * debian/control:
   - Update VCS fields.
   - Update Standards-Version to 3.9.4.
   - Remove dm-upload-allowed.
  * debian/libplist++1.shlibs:
   - Add a shlibs file, since symbols file is too unstable.

  [ Chow Loong Jin ]
  * debian/{control,rules}: Multiarchify things
  * debian/control:
    - Mark lib packages as multi-arch same
    - Add dpkg-dev build-dep for default.mk include
  * debian/libplist*1.install: Update paths in install files for multiarch
  * debian/plistutils.manpages: Rename manpage to match binary rename
  * debian/rules: Update LDFLAGS handling and drop CFLAGS override
  * debian/lintian-overrides:
    - Add lintian-overrides for hardening-no-fortify-functions

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Sep 2013 06:15:15 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9.20120417~),
+               dpkg-dev (>= 1.16.1),
                libxml2-dev,
                cmake (>= 2.8.4),
                cython,
@@ -13,14 +14,15 @@
                chrpath
 X-Python-Version: >= 2.5
 Homepage: http://www.libimobiledevice.org/
-Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libplist.git
+Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libplist.git -b debian
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libplist.git
-DM-Upload-Allowed: yes
 
 Package: libplist1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing
@@ -28,8 +30,10 @@
 
 Package: libplist++1
 Architecture: any
-Depends: ${shlibs:Depends}, 
+Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing
@@ -40,7 +44,7 @@
 Package: libplist-dev
 Architecture: any
 Section: libdevel
-Depends: libplist1 (= ${binary:Version}), 
+Depends: libplist1 (= ${binary:Version}),
          libxml2-dev,
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
@@ -72,6 +76,8 @@
 Depends: libplist1 (= ${binary:Version}),
          libplist++1 (= ${binary:Version}),
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,15 @@
 #!/usr/bin/make -f
 #DH_VERBOSE=1
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/default.mk
 
-LDFLAGS += -Wl,--as-needed
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PYVER=$(shell pyversions -vd)
 
 configure_flags += \
 			-DCMAKE_INSTALL_PREFIX="/usr" \
+			-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
@@ -29,9 +23,6 @@
 	doxygen doxygen.cfg
 
 override_dh_install:
-	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
-		$(CURDIR)/debian/tmp/usr/bin/plutil
-
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.so
 
 	# Remove files generated by swig
@@ -41,6 +32,17 @@
 	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/_plist.so
 
 	dh_install --fail-missing
+
+manpage_name = plistutil-$(DEB_VERSION_UPSTREAM).1
+
+debian/$(manpage_name): debian/plistutil.1
+	cp $< $@
+
+override_dh_installman: debian/$(manpage_name)
+	dh_installman
+
+override_dh_link:
+	dh_link -p libplist-utils /usr/share/man/man1/$(manpage_name).gz /usr/share/man/man1/plistutil.1.gz
 
 override_dh_python2:
 	# Only build for the current version of python, not all supported.
